package cn.com.infosec.asn1.x9;

import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECFieldElement;
import java.math.BigInteger;

public class X9IntegerConverter {
   public int getByteLength(ECCurve c) {
      return (c.getFieldSize() + 7) / 8;
   }

   public int getByteLength(ECFieldElement fe) {
      return (fe.getFieldSize() + 7) / 8;
   }

   public byte[] integerToBytes(BigInteger s, int qLength) {
      byte[] var10000;
      byte[] var3;
      byte[] s1;
      if (qLength < (var3 = s.toByteArray()).length) {
         var10000 = s1 = new byte[qLength];
         System.arraycopy(var3, var3.length - qLength, s1, 0, qLength);
         return var10000;
      } else if (qLength > var3.length) {
         var10000 = s1 = new byte[qLength];
         byte[] var10001 = var3;
         byte[] var10002 = var3;
         int var4 = qLength - var3.length;
         qLength = var10002.length;
         System.arraycopy(var10001, 0, s1, var4, qLength);
         return var10000;
      } else {
         return var3;
      }
   }
}
